सवाल मैं 8.10 सिस्टम में पैकेज कैसे स्थापित करूं?


मैं कुछ फ़ाइलों को एक अप्रयुक्त उबंटू 8.10 सिस्टम से कॉपी करने की कोशिश कर रहा हूं।

ऐसा करने के लिए मुझे nfs, portmap, आदि को स्थापित करने की आवश्यकता है, क्योंकि वे पहले से इंस्टॉल नहीं हैं।

तो मैं संकुल को स्थापित करने के लिए सिनैप्टिक खोलता हूं। यह निर्भरताओं को आंकड़े करता है और आवश्यक पैकेज सूचीबद्ध करता है। मैं 'लागू करें' पर क्लिक करता हूं और चेतावनी प्राप्त करता हूं कि स्रोतों को प्रमाणित नहीं किया जा सकता है। मैं वैसे भी 'लागू करें' पर क्लिक करता हूं और एक त्रुटि संदेश प्राप्त करता हूं जैसे:

डब्ल्यू: लाने में विफल    http://us.archive.ubuntu.com/ubuntu/main/pool/p/portmap/portmap_6.0-6ubuntu1_i386.deb   404 नहीं मिला [आईपी: 91.189.92.167 80]

हालिया 8.10 पैकेजों के लिए एक भंडार कहां है?


आपके विस्तृत उत्तर के लिए धन्यवाद।

मैंने sed की बजाय vi का उपयोग किया, और 'us.archive' की प्रत्येक घटना को 'पुरानी रिलीज' के साथ बदलकर: g / us.archive / s // पुरानी रिलीज / g

मेरा मानना ​​है कि यह बराबर है हालांकि मेरे sed कौशल थोड़ा जंगली हैं।

सबसे पहले मैंने 'हम' से छुटकारा पाने के बिना 'अभिलेखागार' को बदल दिया। और पहले की तरह ही 404 त्रुटियां मिलीं, ताकि हिस्सा महत्वपूर्ण हो।

ऐसा लगता है कि अब तक काम कर रहा है!

मुझे कुछ त्रुटियां मिलीं जैसे:

लाने में विफल रहे http://security.ubuntu.com/ubuntu/dists/intrepid-security/main/binary-i386/Packages.gz  404 नहीं मिला [आईपी: 91.189.92.166 80]

जब मैंने सिनैप्टिक में 'रीलोड' पर क्लिक किया। क्या मुझे इसके बारे में कुछ करना चाहिए?


4
2018-02-15 10:00


मूल




जवाब:


उबंटू के v8.10 के लिए भंडार स्थानांतरित कर दिए गए हैं। वहाँ भंडार उपलब्ध हैं http://old-releases.ubuntu.com

इसका कारण यह है कि अब यह समर्थन से बाहर है और अब अपडेट और सुरक्षा पैच प्राप्त नहीं कर रहा है।

मैं आपको 10.04 या बाद में समर्थित वितरण पर विचार करने के लिए आग्रह करता हूं। यदि आपका कंप्यूटर मेमोरी या प्रोसेसर के मामले में बहुत पुराना है तो आपको ल्यूबंटू या जुबंटू जैसे वितरण पर विचार करना चाहिए।

यदि आप 8.10 का उपयोग करना जारी रखना चाहते हैं तो अपने पसंदीदा टेक्स्ट संपादन का उपयोग करके संपादित करें /etc/apt/sources.list

पाठ की तलाश करें archive.ubuntu.com। ऐसा लगता है, उदाहरण के लिए, us.archive.ubuntu.com

बदलने के us.archive.ubuntu.com साथ में old-releases.ubuntu.com

इसी प्रकार - यदि आपके पास टेक्स्ट है, उदाहरण के लिए, security.ubuntu.com फिर इसके साथ प्रतिस्थापित करें old-releases.ubuntu.com

आप इसके साथ कर सकते हैं sed

sudo sed -i -e 's/us.archive.ubuntu.com/old-releases.ubuntu.com/g' /etc/apt/sources.list
sudo sed -i -e 's/security.ubuntu.com/old-releases.ubuntu.com/g' /etc/apt/sources.list

फिर के साथ अद्यतन करें

sudo apt-get update && sudo apt-get dist-upgrade

6
2018-02-15 10:19



इस मामले में आप दौड़ना चाहते हैं sudo sed -i -e 's/us.archive.ubuntu.com/old-releases.ubuntu.com/g' /etc/apt/sources.list (के अतिरिक्त ध्यान दें us.)। - Oli♦
... धन्यवाद @oli - अद्यतन किया है - fossfreedom♦
@oli fossfreedom अच्छा जवाब। धन्यवाद। यह लगभग एक एफएक्यू होना चाहिए, इसलिए कुछ पिछले समकक्ष उत्तर ढूंढना आसान होना चाहिए था। अब भी, मैं खोज करता हूं: पुरानी रिलीज, और इस उत्तर पर हिट नहीं मिलता है। तो आप उत्तर में कुछ टैग या टेक्स्ट जोड़ने पर विचार कर सकते हैं ताकि यह एक askubuntu या Google खोज में पॉप अप हो। कुछ उम्मीदवार: पुराने रिलीज संस्करण असमर्थित समाप्त समर्थन Intrepid Ibex भंडार अद्यतन संग्रह। संभवतः उचित टैग असाइन करना आसान होने से कहा जाता है। क्षमा करें अगर मैंने पहले एक खाली टिप्पणी भेजी थी। ऐसा लगता है कि जब मैं केवल 'एंटर' दबाता हूं तो इसे अप्रत्याशित रूप से भेजा गया था। - Lizard Boy
@LizardBoy धन्यवाद - मैं इसे खोजना आसान बनाने की कोशिश कर रहा हूं। अगर उत्तर उपयोगी रहा है, तो प्रश्न को बंद करने के लिए कृपया टिक बटन पर क्लिक करें। - fossfreedom♦